summaryrefslogtreecommitdiff
path: root/recipes/pulseaudio/pulseaudio-meta
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/pulseaudio/pulseaudio-meta
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/pulseaudio/pulseaudio-meta')
-rw-r--r--recipes/pulseaudio/pulseaudio-meta/asound.conf8
-rwxr-xr-xrecipes/pulseaudio/pulseaudio-meta/pulseaudio50
-rw-r--r--recipes/pulseaudio/pulseaudio-meta/session36
3 files changed, 94 insertions, 0 deletions
diff --git a/recipes/pulseaudio/pulseaudio-meta/asound.conf b/recipes/pulseaudio/pulseaudio-meta/asound.conf
new file mode 100644
index 0000000000..b435184575
--- /dev/null
+++ b/recipes/pulseaudio/pulseaudio-meta/asound.conf
@@ -0,0 +1,8 @@
+# set default output to pulseaudio
+pcm.!default {
+ type pulse
+}
+
+ctl.!default {
+ type pulse
+}
diff --git a/recipes/pulseaudio/pulseaudio-meta/pulseaudio b/recipes/pulseaudio/pulseaudio-meta/pulseaudio
new file mode 100755
index 0000000000..e0d33bd2b9
--- /dev/null
+++ b/recipes/pulseaudio/pulseaudio-meta/pulseaudio
@@ -0,0 +1,50 @@
+#!/bin/sh
+#
+# pulseaudio This shell script starts and stops pulseaudio.
+#
+# chkconfig: 345 90 40
+# description: Pulseaudio manages the sound input/output
+# processname: pulseaudio
+
+# Source function library.
+#. /etc/rc.d/init.d/functions
+
+RETVAL=0
+prog="pulseaudio"
+
+start() {
+ echo -n "Starting audio server: "
+ # FIXME once alsa/shm permissions have been fixed, supply --system
+ start-stop-daemon -S -x /usr/bin/pulseaudio -- --no-cpu-limit --resample-method=sinc-fastest -D -nF /etc/pulse/session
+
+ if [ $? = 0 ]; then
+ echo "$prog (warning ignores)." # FIXME remove comment on warning
+ else
+ echo "(failed.)"
+ fi
+}
+
+stop() {
+ echo -n "Stopping audio server: "
+ start-stop-daemon -K -x /usr/bin/pulseaudio
+ echo "pulseaudio."
+}
+
+# See how we were called.
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload)
+ stop
+ start
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac
+
+exit $RETVAL
diff --git a/recipes/pulseaudio/pulseaudio-meta/session b/recipes/pulseaudio/pulseaudio-meta/session
new file mode 100644
index 0000000000..55f2c16f26
--- /dev/null
+++ b/recipes/pulseaudio/pulseaudio-meta/session
@@ -0,0 +1,36 @@
+#!/usr/bin/pulseaudio -nF
+
+#
+# Barebones PA Session File for Devices w/ ALSA
+# (C) Michael 'Mickey' Lauer <mlauer@vanille-media.de>
+#
+
+# Create autoload entries for the device drivers
+add-autoload-sink output module-alsa-sink device=hw:0 sink_name=output
+add-autoload-source input module-alsa-source device=hw:0 source_name=input
+
+# Core protocols
+load-module module-esound-protocol-unix
+load-module module-simple-protocol-tcp
+load-module module-native-protocol-unix
+load-module module-cli-protocol-unix
+
+# Suspend on idle
+load-module module-suspend-on-idle
+
+# Set default sink and source
+set-default-sink output
+set-default-source input
+
+# Don't fail if the audio files referred to below don't exist
+.nofail
+
+# Load an audio to the sample cache for usage with module-x11-bell
+#load-sample-lazy x11-bell /usr/share/openmoko/sounds/notify_doorbell.wav
+#load-module module-x11-bell sample=x11-bell
+
+# Load samples
+#load-sample startup /usr/share/openmoko/sounds/startup_unintrusive.wav
+#load-sample touchscreen /usr/share/openmoko/sounds/touchscreen_click.wav
+#load-sample ringtone /usr/share/openmoko/sounds/ringtone_classy.wav
+